> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 查看静态收款地址详情

> 查看已生成的有效静态收款地址详情

## 概述

本页说明 `GET /payment/open/institution/v1/pay/fixedaddress/detail` 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

## 说明

* 认证方式使用 GatePay 标准签名请求头。
* 本页展示同一接口的机构路径版本。
* 除创建子账户、查询子账户详情、分页查询子账户外，机构侧请求需携带 `X-GatePay-On-Behalf-Of`。
* 通用签名规则请参见 [/api-reference/version/100/cn/common/securityAndSignature](/api-reference/version/100/cn/common/securityAndSignature)。


## OpenAPI

````yaml api-reference/version/100/cn/openapi/institution/fixed-address-openapi.json GET /payment/open/institution/v1/pay/fixedaddress/detail
openapi: 3.1.0
info:
  title: GatePay API - 静态收款地址
  version: 1.0.0
servers:
  - url: https://openplatform.gateapi.io
security: []
paths:
  /payment/open/institution/v1/pay/fixedaddress/detail:
    get:
      tags:
        - 静态收款地址
      summary: 查看静态收款地址详情
      description: 查看已生成的有效静态收款地址详情
      operationId: getFixedAddressDetail
      parameters:
        - $ref: '#/components/parameters/X-GatePay-Certificate-ClientId'
        - $ref: '#/components/parameters/X-GatePay-Signature'
        - $ref: '#/components/parameters/X-GatePay-Timestamp'
        - $ref: '#/components/parameters/X-GatePay-Nonce'
        - name: channelId
          in: query
          required: true
          schema:
            type: string
          description: 客户名称
        - name: chain
          in: query
          required: true
          schema:
            type: string
          description: 网络
        - $ref: '#/components/parameters/X-GatePay-On-Behalf-Of'
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetFixedAddressDetailResponse'
              examples:
                success:
                  value:
                    status: SUCCESS
                    code: '000000'
                    errorMessage: ''
                    data:
                      channelId: smart_shop
                      chain: ETH
                      address: '0x5178ff5B10c17282834028E0A79cb18586D44B7C'
                      currencies:
                        - USDS
                        - USDT
                      callbackUrl: https://www.abc.com/callback
                      createTime: 1727602420837
                      updateTime: 1727602430742
                      desc: ''
                      ChainShowEn: ETH /ERC20
                      is_risk: 0
components:
  parameters:
    X-GatePay-Certificate-ClientId:
      name: X-GatePay-Certificate-ClientId
      in: header
      required: true
      description: 商户客户端ID，在 GatePay 平台申请获得
      schema:
        type: string
        example: 4186d0c6-6a35-55a9-8dc6-5312769dbff8
    X-GatePay-Signature:
      name: X-GatePay-Signature
      in: header
      required: true
      description: HMAC-SHA256签名，用于验证请求合法性
      schema:
        type: string
        example: >-
          672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77
    X-GatePay-Timestamp:
      name: X-GatePay-Timestamp
      in: header
      required: true
      description: 时间戳（毫秒），与服务器时间差不能超过5分钟
      schema:
        type: string
        example: '1672905655498'
    X-GatePay-Nonce:
      name: X-GatePay-Nonce
      in: header
      required: true
      description: 随机数，用于防止重放攻击
      schema:
        type: string
        example: '3525756760'
    X-GatePay-On-Behalf-Of:
      name: X-GatePay-On-Behalf-Of
      in: header
      required: true
      schema:
        type: string
      description: >-
        必填代理归属请求头。请填写本次请求的发起方账户 ID；在机构代理商户 API 中通常填写目标子账户 ID，在机构代扣与划转接口中可填写机构账户
        ID 或子账户 ID。
  schemas:
    GetFixedAddressDetailResponse:
      type: object
      properties:
        status:
          type: string
          description: 响应状态
          example: SUCCESS
          enum:
            - SUCCESS
            - FAIL
        code:
          type: string
          description: 响应码
          example: '000000'
        errorMessage:
          type: string
          description: 错误信息
          example: ''
        data:
          type: object
          properties:
            channelId:
              type: string
              description: 商户绑定静态地址收款时指定的渠道名称
            chain:
              type: string
              description: 网络
            address:
              type: string
              description: 收款地址
            currencies:
              type: array
              items:
                type: string
              description: 该地址上绑定的收款币种
            callbackUrl:
              type: string
              description: 到账回调地址
            createTime:
              type: integer
              description: 创建时间
            updateTime:
              type: integer
              description: 首次更新时间
            desc:
              type: string
              description: 描述
            ChainShowEn:
              type: string
              description: 链的英文名
            is_risk:
              type: integer
              description: 风险地址 0-正常 1-风险

````